Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77354 - No home directory dialog doesn't let you log in
Summary: No home directory dialog doesn't let you log in
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gdm
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-05 18:26 UTC by Jack Neely
Modified: 2007-04-18 16:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-13 02:22:33 UTC


Attachments (Terms of Use)

Description Jack Neely 2002-11-05 18:26:34 UTC
Description of Problem:
When loggin in through GDM and your home directory, for whatever reason, doesn't
exist, gdm tells you this with a nice dialog that asks if you wish to log in
with "/" as your home directory.  No matter if the user clicks "Yes" or "No" you
are returned to the login screen and not allowed to procede.

Version-Release number of selected component (if applicable):
gdm-2.4.0.7-13

How Reproducible:
Always

Steps to Reproduce:
1. Unmount your home directory or some other such so that $HOME isn't there
2. Try to log in via gdm
3. Observe behavior of the dialog telling you your home directory doesn't exist

Actual Results:


Expected Results:
Well I would like to log in.

Additional Information:
For the NCSU Realm Kit we use AFS for home directories and I have my own
xsession files.  One of the things they do is check for your home directory and
warn the user if its not there.  (We create them a temp home dir if they click
continue.)  So I'd either like to disable this check or get it working so that
my scripts can take over and use a temp dir.

Comment 1 Havoc Pennington 2002-11-05 18:40:23 UTC
If you got as far as gnome-session or whatever running, I'd expect the desktop
to barf with / as homedir, which would result in returning to gdm.

It's not getting that far, right?

Probably a pretty simple fix.

Comment 2 Jack Neely 2002-11-05 18:53:15 UTC
Doesn't get that far.  I've tested this with stock versions of all the xsession
stuff from RHL8.0 and I get the same behavior.  X Doesn't restart, GDM just
looks at you a couple seconds (delay between logins?) and then refreshes the
login box to ask you to enter your user id.

Thanks!

Comment 3 Havoc Pennington 2003-01-13 02:22:33 UTC
Moved to http://bugzilla.gnome.org/show_bug.cgi?id=103258


Note You need to log in before you can comment on or make changes to this bug.